# Interface IbcBridge<N, P, C>

#### Type Parameters

- #### N extends Network

- #### P extends Platform

- #### C extends PlatformToChains<P>

#### Hierarchy

- IbcBridge

#### Implemented by

- CosmwasmIbcBridge

- Defined in definitions/src/protocols/ibc.ts:183

#####
Index

### Methods

fetchTransferChannel
getTransferChannel
lookupMessageFromIbcMsgId
lookupTransferFromIbcMsgId
lookupTransferFromMsg
lookupTransferFromTx
transfer

## Methods

### fetchTransferChannel

- fetchTransferChannel(chain): Promise<string>

- #### Parameters

  - ##### chain: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Returns Promise<string>

  - Defined in definitions/src/protocols/ibc.ts:197

### getTransferChannel

- getTransferChannel(chain): string

- #### Parameters

  - ##### chain: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Returns string

  - Defined in definitions/src/protocols/ibc.ts:194

### lookupMessageFromIbcMsgId

- lookupMessageFromIbcMsgId(msg): Promise<WormholeMessageId>

- #### Parameters

  - ##### msg: IbcMessageId

  #### Returns Promise<WormholeMessageId>

  - Defined in definitions/src/protocols/ibc.ts:201

### lookupTransferFromIbcMsgId

- lookupTransferFromIbcMsgId(msg): Promise<IbcTransferInfo>

- #### Parameters

  - ##### msg: IbcMessageId

  #### Returns Promise<IbcTransferInfo>

  - Defined in definitions/src/protocols/ibc.ts:206

### lookupTransferFromMsg

- lookupTransferFromMsg(payload): Promise<IbcTransferInfo>

- #### Parameters

  - ##### payload: GatewayTransferMsg | GatewayTransferWithPayloadMsg

  #### Returns Promise<IbcTransferInfo>

  - Defined in definitions/src/protocols/ibc.ts:207

### lookupTransferFromTx

- lookupTransferFromTx(txid): Promise<IbcTransferInfo>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<IbcTransferInfo>

  - Defined in definitions/src/protocols/ibc.ts:205

### transfer

- transfer(sender, recipient, token, amount, payload?): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### recipient: ChainAddress

  - ##### token: TokenAddress<C>

  - ##### amount: bigint

  - ##### `Optional` payload: Uint8Array

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in definitions/src/protocols/ibc.ts:185

Generated using TypeDoc